Bug 24060 - [19.05] Can't load patron clubs tab on patron details page
Summary: [19.05] Can't load patron clubs tab on patron details page
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: 19.05
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-18 16:18 UTC by Nick Clemens
Modified: 2019-11-22 10:49 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.06


Attachments
Bug 24060: Use patron object to load club tab (1.36 KB, patch)
2019-11-18 16:19 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24060: Use patron object to load club tab (1.40 KB, patch)
2019-11-19 20:12 UTC, Myka Kennedy Stephens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-11-18 16:18:21 UTC
Fixed in master by
https://bugs.koha-community.org/bugzilla3/attachment.cgi?id=94018&action=diff


To recreate:
1 - Be using 19.05
2 - Create a club template and a club
3 - Go to a patron's checkout page
4 - Note the club tab will load
5 - Go to a patron's details page
6 - Note the club tab says 'Loading'
Comment 1 Nick Clemens 2019-11-18 16:19:54 UTC
Created attachment 95516 [details] [review]
Bug 24060: Use patron object to load club tab

To recreate:
1 - Be using 19.05
2 - Create a club template and a club
3 - Go to a patron's checkout page
4 - Note the club tab will load
5 - Go to a patron's details page
6 - Note the club tab says 'Loading'
7 - Apply patch
8 - It loads!
Comment 2 Myka Kennedy Stephens 2019-11-19 20:12:01 UTC
Created attachment 95588 [details] [review]
Bug 24060: Use patron object to load club tab

To recreate:
1 - Be using 19.05
2 - Create a club template and a club
3 - Go to a patron's checkout page
4 - Note the club tab will load
5 - Go to a patron's details page
6 - Note the club tab says 'Loading'
7 - Apply patch
8 - It loads!

Signed-off-by: Myka Kennedy Stephens <mkstephens@lancasterseminary.edu>
Comment 3 Myka Kennedy Stephens 2019-11-19 20:13:02 UTC
Yes, this patch works on 19.05 as expected. This is only a bug on the 19.05 branch. Clubs tab loads on master at present.

Thank you!!
Comment 4 Marcel de Rooy 2019-11-21 07:41:18 UTC
Changing status, pushing it to next in line
Comment 5 Martin Renvoize 2019-11-22 10:47:27 UTC
Pushed to 19.05.x for 19.05.06